
#ifndef _QUESTGUI_H
#define _QUESTGUI_H

#include "world_entity.h"
#include "glgui.h"
#include <glgui_image.h>
#include <vector>



class QuestGUI : public WorldEntity 
{

  ObjectListDeclaration(QuestGUI);
  
  public:
   QuestGUI (const TiXmlElement* root);
   virtual ~QuestGUI ();


   virtual void loadParams(const TiXmlElement* root = NULL);

   /** @param questName sets the name of this quest */
   inline void setQuestName(const std::string& questName)                { this->questName = questName; }
   inline void setQuestDescription(const std::string& questDescription)  { this->questDescription = questDescription; }
   inline void setQuestPicture(const std::string& questPicture)          { this->questPicture = questPicture; }
   inline void setQuestDifficulty(const std::string& questDifficulty)    { this->questDifficulty = questDifficulty; }
   inline void setRewardDescription(const std::string& rewardDescription){ this->rewardDescription  = rewardDescription; }
   inline void setRewardPicture(const std::string& rewardPicture)        { this->rewardPicture  = rewardPicture; }
   void guiInit();

   
  private:
    std::string             questName;
    std::string             questDescription;
    std::string             questPicture;
    std::string             questDifficulty;
    std::string             rewardDescription;
    std::string             rewardPicture;
    
    OrxGui::GLGuiBox*       headerBox;
    OrxGui::GLGuiBox*       outlineBox; 
    OrxGui::GLGuiBox*       labelBox;
    OrxGui::GLGuiBox*       questBox;
    OrxGui::GLGuiImage*     questImage;
    OrxGui::GLGuiBox*       rewardBox;
    OrxGui::GLGuiImage*     rewardImage;
    OrxGui::GLGuiBox*       answerBox;

    OrxSound::SoundSource*  selectorSource;
};

#endif /* _QUESTGUI_H */
